#!/usr/bin/make -f
# GNU copyright 2003-2004 by Otavio Salvador.
# $Id: rules 331 2004-07-30 20:25:59Z otavio $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Do nothing
clean:
	dh_clean
	rm -f debian/debian-br-cdd-udeb.templates

build:
	iconv -t UTF-8 < debian/debian-br-cdd-udeb.templates.in > debian/debian-br-cdd-udeb.templates

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the files used by installer
	install -g root -o root -m 755 udeb/debian-br-cdd-init $(CURDIR)/debian/debian-br-cdd-udeb/bin/

# Build architecture-independent files here.
binary-indep: build install

	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installcron
	dh_installdebconf -i
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: clean binary-indep binary install
